ALLEGRO_AUDIO_RECORDER_EVENT(3)

NAME

ALLEGRO_AUDIO_RECORDER_EVENT - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    typedef struct ALLEGRO_AUDIO_RECORDER_EVENT ALLEGRO_AUDIO_RECORDER_EVENT;

DESCRIPTION

Structure that holds the audio recorder event data. Every event type will contain:

•   .source: pointer to the audio recorder

The following will be available depending on the event type:

•   .buffer: pointer to buffer containing the audio samples

•   .samples: number of samples (not bytes) that are available

Since 5.1.1

SEE ALSO

al_get_audio_recorder_event(3)

    [Unstable API]: The API may need a slight redesign.